CoCoALib - Design #1693

SizelnBase: obsolete
08 Aug 2022 19:47 - John Abbott

Status: Closed Start date: 08 Aug 2022
Priority: Normal Due date:

Assignee: John Abbott % Done: 100%
Category: Tidying Estimated time: 0.66 hour
Target version: CoCoALib-0.99850 Spent time: 0.65 hour
Description

| think SizelnBase is not really useful (cannot think of any situation).

Also it can easily be implemented by calling mpz_sizeinbase(mpzref(...),...).

Make SizelnBase obsolete.

Related issues:

Related to CoCoALib - Slug #1680: FloorLog2 or SizelInBase? Closed 21 Apr 2022

History

#1 - 08 Aug 2022 19:48 - John Abbott
- Status changed from New to Resolved

- % Done changed from 0 to 80

Anna agreed.

| have moved the code to obsolete.H and obsolete.C (from BigIintOps@).
All tests pass.

#2 - 08 Aug 2022 20:14 - John Abbott
- Related to Slug #1680: FloorLog2 or SizelnBase? added

#3 - 07 Oct 2022 15:25 - John Abbott

- Status changed from Resolved to Closed
- % Done changed from 80 to 100

- Estimated time set to 0.66 h

28 Apr 2024
